## Class TBroadcastEventParameter

Description

TBroadcastEventParameter class

TBroadcastEventParameter encapsulates the parameter data for events that are broadcasted. The name of of the event is specified via Name property while the event parameter is via Parameter property.

- since: 3.0
- version: $Id: TControl.php 2434 2008-04-18 09:47:05Z mikl $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/TControl.php (line 2184)

    TComponent
       |
       --TEventParameter
          |
          --TBroadcastEventParameter

Method Summary
TBroadcastEventParameter __construct ([string $name = ''], [mixed $parameter = null])
string getName ()
mixed getParameter ()
void setName (string $value)
void setParameter (mixed $value)
Methods
Constructor __construct (line 2194)

Constructor.

- access: public

TBroadcastEventParameter __construct ([string $name = ''], [mixed $parameter = null])

- string $name: name of the broadcast event
- mixed $parameter: parameter of the broadcast event

getName (line 2203)

- return: name of the broadcast event
- access: public

string getName ()
getParameter (line 2219)

- return: parameter of the broadcast event
- access: public

mixed getParameter ()
setName (line 2211)

- access: public

void setName (string $value)

- string $value: name of the broadcast event

setParameter (line 2227)

- access: public

void setParameter (mixed $value)

- mixed $value: parameter of the broadcast event

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:06 -0400 by phpDocumentor 1.3.0RC4